.TH SHUTDOWN 8 "July 16, 2021" "" "GNU/Linux System Adminstrator's manual"
.SH NAME
shutdown, reboot, poweroff \- poweroff or reboot the system
.SH SYNOPSIS
.B /sbin/shutdown [-w] [-f] [-r]
.br
.B /sbin/reboot [-w] [-f] [-r]
.br
.B /sbin/halt [-w] [-f] [-r]
.br
.B /sbin/poweroff [-w] [-f] [-r]
.SH DESCRIPTION
.BR Shutdown
is a program to poweroff or reboot the system that maintains some compatibility with
original SysV-init halt, poweroff, reboot and shutdown programs.
These programs are expected by some initscripts, graphical desktop environments and tools like acpi.
.RE
When called as shutdown, halt or poweroff without options,
.BR runit(8)
is told to shutdown the system and poweroff.
.RE
When called as reboot
.BR runit(8)
is told to reboot the system.
.RE
When
.BR runit(8)
is not the current init system this program sends data in the appropriate format to perform the requested action to the initctl pipe, if it exists.
.SH OPTIONS

.TP
.B \-f, \-\-force
Force unsafe reboot or poweroff immediately without signaling the init system.
This will likely result in an unclean shutdown an can cause data loss or corruption.

.TP
.B \-w, \-\-wtmp\-only
No-Op, maintained for compatibility with initscripts. See #919699

.TP
.B \-r
Reboot the system regardless of how the command is called.
.SH SWITCHING FORM OTHER INIT SYSTEMS
This program maintains a compatibility layer with SysV-init's initctl pipe according to the spec described in SysV-init's initctl(5). This allow one to reboot the system when switching from another init to runit-init.
.RE
Currently only switching from systemd and SysV-init is tested but any other init system that maintains an initctl pipe compatible with SysV's one should work.

.SH BUGS
Non existent or unsupported options are silently ignored.
.RE
Combining flags, like
.B halt -wf
is not supported, all merged short options will be ignored.
.RE
The
.B -r
flag will always reboot the system, even if called as poweroff or halt; this is counterintuitive.
.RE
The
.B -f
flag is used as in
.B halt -f
but it should have a different effect when the program is called as shutdown.

.SH SEE ALSO
.BR init (8)
